
Robotics Systems Types - Bug #1219
CMake-generated library configuration does not work on Windows
10/25/2012 01:58 PM - V. Losing

Status: Closed Start date: 10/25/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Wenn aus der Cmake-Datei von RST.GIT.CONVERTERS ein Visual Studio Projekt generiert wird, dann versucht er die boost libs mit
dem Präfix "lib..." dagegen zu linken. Unter Windows entfällt das Präfix

History
#1 - 10/25/2012 02:39 PM - V. Losing

Beim generieren des VS-Projects für rsb selbst, kommt der Fehler dass die Variable "CURRENT_DATE" nicht gefunden werden kann

#2 - 10/25/2012 04:43 PM - J. Moringen

V. Losing wrote:

Beim generieren des VS-Projects für rsb selbst, kommt der Fehler dass die Variable "CURRENT_DATE" nicht gefunden werden kann

Ich habe dieses Problem als #1220 in project:rsc gemeldet.

#3 - 10/25/2012 04:44 PM - J. Moringen
- Project changed from Robotics Service Bus to Robotics Systems Types
- Subject changed from Cmake RST.GIT.CONVERTERS unter Windows to CMake-generated library configuration does not work on Windows
- Category set to Build System
- Target version set to rsb-0.9

#4 - 10/30/2012 08:05 AM - J. Wienke

actually there will be more to.fix to.get this running on windows. we need to add dll export symbols.

#5 - 10/30/2012 12:55 PM - J. Moringen

Wenn ich mich richtig erinnere gab es noch ein Problem mit "/" vs. "\" in generierten Pfaden in der RSTConfig.cmake Datei.

@V. Losing: Kannst du das vielleicht noch mal reproduzieren und eine genauere Breschreibung als neuen Issue (oder zur Not hier) erfassen.

#6 - 06/05/2013 08:58 PM - J. Moringen
- Status changed from New to Closed
- % Done changed from 0 to 100
Ich denke, das Problem ist gelöst. Andernfalls bitte wieder öffnen.
